Bug 803062 - Missing Requires: httpd-mmn
Missing Requires: httpd-mmn
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gridsite (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 803056
  Show dependency treegraph
 
Reported: 2012-03-13 17:19 EDT by Joe Orton
Modified: 2012-06-16 14:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: gridsite-1.7.19-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 20:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-03-13 17:19:14 EDT
Description:
The package gridsite contains the httpd module:

   /usr/lib64/httpd/modules/mod_gridsite.so

but does not have an appropriate "Requires:" for httpd-mmn.  Such a
dependency is necessary to ensure the module is only used with a
compatible version of httpd; a module built against httpd 2.2 will not
work with httpd 2.4.

Please add the following to the top of the spec file as a single line:

%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}

Then add to the the gridsite (sub-)package the following Requires
line:

Requires: httpd-mmn = %{_httpd_mmn}

A module package does not need to require httpd itself.  The above
change should be merged across all branches of Fedora/EPEL.

Version-Release:
gridsite-1.7.16-2.fc17.src.rpm

Steps to reproduce:
1. rpm -q --requires gridsite | grep httpd-mmn

Expected results:
e.g. httpd-mmn = 20051115-x86-64
Comment 1 Fedora Update System 2012-03-18 11:57:22 EDT
gridsite-1.7.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gridsite-1.7.19-1.el5
Comment 2 Fedora Update System 2012-03-18 11:57:30 EDT
gridsite-1.7.19-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gridsite-1.7.19-1.el6
Comment 3 Fedora Update System 2012-03-18 11:57:35 EDT
gridsite-1.7.19-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gridsite-1.7.19-1.fc16
Comment 4 Fedora Update System 2012-03-18 11:57:41 EDT
gridsite-1.7.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gridsite-1.7.19-1.fc17
Comment 5 Fedora Update System 2012-04-17 19:34:40 EDT
Package gridsite-1.7.19-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gridsite-1.7.19-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5595/gridsite-1.7.19-1.el5
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-30 20:49:33 EDT
gridsite-1.7.19-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-02 00:47:10 EDT
gridsite-1.7.19-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-16 14:00:58 EDT
gridsite-1.7.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-16 14:01:33 EDT
gridsite-1.7.19-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.